<?xml version="1.0"?>
<OBJECTS name="AdminPortal">

    <NODE name="dynamic_content_form::APPLICANT_PORTAL"   factory="Participant">
        <FORM   name="*.signIn"                 factory="Participant"   class="performa.form.SignInCandidateFP"/>
        <FORM   name="*.verifyIdentity"         factory="Participant"   class="performa.form.VerifyIdentityFP"/>
        <FORM   name="*.completeApplication"    factory="Participant"   class="performa.form.CompleteApplicationFP"/>
    </NODE>
    
    
    <NODE   name="dynamic_content_form_applicant"  factory="Participant">
        <INHERITS   factory="Named" nodename="dynamic_content_form"/>
        
        <DECORATOR id="auth" factory="MetaComponent" component="ApplicantPortalAuthDecorator"   priv="TL_AccessApplicantPortal"/>
    </NODE>
    
    
    <NODE name="ApplicantPortalAuthDecorator"   factory="Participant"   class="oneit.servlets.utils.decorator.AuthenticatorDecorator">
        <AUTHENTICATOR factory="Participant" class="oneit.security.SecurityAuthenticator">
            <PRIVILEGE      factory="Parameter" param="priv"/>
            <FAILED_URL     factory="String"    value="RestrictedAccess.jsp"/>
            <NO_USER_URL    factory="String"    value="ApplicantPortal-ApplyJob.htm"/>
        </AUTHENTICATOR>
    </NODE>
</OBJECTS>
